summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-11-26 10:36:27 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-12-17 16:56:30 +0100
commit352926c11a427a257e3f9f13029d48a3e411e589 (patch)
treed349aa26a10377971f845da0d05ccec08549af63 /dev-cpp/libcmis
parentmedia-libs/libfreehand: Drop eutils.eclass (diff)
downloadgentoo-352926c11a427a257e3f9f13029d48a3e411e589.tar.gz
gentoo-352926c11a427a257e3f9f13029d48a3e411e589.tar.bz2
gentoo-352926c11a427a257e3f9f13029d48a3e411e589.zip
dev-cpp/libcmis: Drop eutils.eclass
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-cpp/libcmis')
-rw-r--r--dev-cpp/libcmis/libcmis-0.5.2_pre20160820.ebuild5
-rw-r--r--dev-cpp/libcmis/libcmis-9999.ebuild5
2 files changed, 4 insertions, 6 deletions
diff --git a/dev-cpp/libcmis/libcmis-0.5.2_pre20160820.ebuild b/dev-cpp/libcmis/libcmis-0.5.2_pre20160820.ebuild
index afb9637796f..5f470d51566 100644
--- a/dev-cpp/libcmis/libcmis-0.5.2_pre20160820.ebuild
+++ b/dev-cpp/libcmis/libcmis-0.5.2_pre20160820.ebuild
@@ -6,7 +6,7 @@ EAPI=6
EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
[[ ${PV} == 9999 ]] && SCM_ECLASS="git-r3"
-inherit eutils alternatives autotools ${SCM_ECLASS}
+inherit alternatives autotools ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="C++ client library for the CMIS interface"
@@ -56,7 +56,6 @@ src_prepare() {
src_configure() {
econf \
- --docdir="${EPREFIX}"/usr/share/doc/${PF} \
--program-suffix=-${SLOT} \
--disable-werror \
$(use_with man) \
@@ -67,7 +66,7 @@ src_configure() {
src_install() {
default
- prune_libtool_files --all
+ find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
diff --git a/dev-cpp/libcmis/libcmis-9999.ebuild b/dev-cpp/libcmis/libcmis-9999.ebuild
index f6c40f8a2d5..0cc6c176ac3 100644
--- a/dev-cpp/libcmis/libcmis-9999.ebuild
+++ b/dev-cpp/libcmis/libcmis-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=6
EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
[[ ${PV} == 9999 ]] && SCM_ECLASS="git-r3"
-inherit eutils alternatives autotools ${SCM_ECLASS}
+inherit alternatives autotools ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="C++ client library for the CMIS interface"
@@ -56,7 +56,6 @@ src_prepare() {
src_configure() {
econf \
- --docdir="${EPREFIX}"/usr/share/doc/${PF} \
--program-suffix=-${SLOT} \
--disable-werror \
$(use_with man) \
@@ -67,7 +66,7 @@ src_configure() {
src_install() {
default
- prune_libtool_files --all
+ find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {